Update an existing plane session
curl --request PATCH \
--url https://api.ctrl-hub.com/v3/plane-sessions/{plane_session_id} \
--header 'Content-Type: application/vnd.api+json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributes": {
"tokens_in": 123,
"tokens_out": 123,
"cost_usd": 123,
"duration_ms": 123,
"error": "<string>"
}
}
}
'import requests
url = "https://api.ctrl-hub.com/v3/plane-sessions/{plane_session_id}"
payload = { "data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attributes": {
"tokens_in": 123,
"tokens_out": 123,
"cost_usd": 123,
"duration_ms": 123,
"error": "<string>"
}
} }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
attributes: {
tokens_in: 123,
tokens_out: 123,
cost_usd: 123,
duration_ms: 123,
error: '<string>'
}
}
})
};
fetch('https://api.ctrl-hub.com/v3/plane-sessions/{plane_session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"tokens_in": 123,
"tokens_out": 123,
"cost_usd": 123,
"duration_ms": 123,
"error": "<string>"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"plan": {
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"agent": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
}
}
},
"jsonapi": {
"version": "<string>"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"attributes": {
"title": "<string>",
"version": 123,
"content": "<string>",
"revision_reason": "<string>",
"approved_by": "<string>",
"approved_at": "2023-11-07T05:31:56Z"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"goal": {
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"project": {
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"issue": {
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"author_agent": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>"
}
},
"author_user": {
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"previous_version": {
"data": {
"type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Plane Sessions
Update a plane session
Update an existing plane session.
PATCH
/
v3
/
plane-sessions
/
{plane_session_id}
Update an existing plane session
Authorizations
SessionCookieOAuth2
Session token for authentication.
Path Parameters
The unique identifier for the plane session.
Body
application/vnd.api+json
The plane session to update.
Show child attributes
Show child attributes
Response
An individual plane session.
JSON API response object
A recorded execution session of an agent working on a plan
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources that can be included when a plane session is returned
A plan proposed by an agent for a goal, project, or issue
- Option 1
- Option 2
Show child attributes
Show child attributes
⌘I